### Method

# Aravis DomDocument create_text_node

#### Declaration [src]

    ArvDomText*
    arv_dom_document_create_text_node (
      ArvDomDocument* self,
      const char* data
    )

#### Description [src]

Create a new text element.

#### Parameters

`data`

  Type: `const char*`

  Initial content.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ArvDomText`

A new orphan `ArvDomText`, NULL on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.